# https://doc.powerdns.com/authoritative/settings.html
#################################
# launch    Which backends to launch and order to query them in
#
launch=gpgsql
gpgsql-host=${POSTGRES_HOST}
gpgsql-dbname=${POSTGRES_DB}
gpgsql-user=${POSTGRES_USER}
gpgsql-password=${POSTGRES_PASSWORD}

#################################
# webserver Start a webserver for monitoring
#
webserver=yes

#################################
# api
#
api=yes
api-key=${AUTOVRTFM_PASSWORD}

#################################
# webserver-address IP Address of webserver to listen on
#
webserver-address=0.0.0.0
webserver-allow-from=0.0.0.0/0

#################################
# webserver-password    Password required for accessing the webserver
#
webserver-password=

#################################
# webserver-port    Port of webserver to listen on
#
webserver-port=8080
#################################
# allow-axfr-ips    Allow zonetransfers only to these subnets
#
allow-axfr-ips=0.0.0.0/0

#################################
# cache-ttl Seconds to store packets in the PacketCache
#
cache-ttl=0

#################################
# config-dir    Location of configuration directory (pdns.conf)
#
config-dir=/etc/powerdns
include-dir=/etc/powerdns/pdns.d

#################################
# daemon    Operate as a daemon
#
daemon=no

#################################
# default-soa-content 
#
default-soa-content=ns.avn ns.avn 0 10800 3600 604800 3600

#################################
# default-ttl   Seconds a result is valid if not set otherwise
#
default-ttl=0

#################################
# distributor-threads   Default number of Distributor (backend) threads to start
#
distributor-threads=1

#################################
# guardian  Run within a guardian process
#
guardian=yes

#################################
# local-port    The port on which we listen
#
local-port=5353

#################################
# loglevel  Amount of logging. Higher is more. Do not set below 3
#
loglevel=4

#################################
# module-dir    Default directory for modules
#
module-dir=/usr/lib/x86_64-linux-gnu/pdns/

#################################
# negquery-cache-ttl    Seconds to store packets in the PacketCache
#
negquery-cache-ttl=0

#################################
# socket-dir    Where the controlsocket will live
#
socket-dir=/tmp/pdns/run

#################################
# version-string    PowerDNS version in packets - full, anonymous, powerdns or custom
#
version-string=anonymous

